* {
  min-height: 0vw;
  /* Safari clamp問題解法 */
}

/*====================================
# 主色調
==================================== */

:root {
  --main-color: #009fe8;
  --main-color2: #00a13f;
  --color4: #ff73a2;
  --color5: #fc835e;
  --lightG: #bed400;
  --lightY: #fff691;
  scroll-padding-top: 3rem; 
  /* 錨點位移 */
}

/*====================================
# 共同設定
==================================== */

html {
  scroll-behavior: smooth;
}

body {
  font-size: 17px;
  line-height: 1.8;
  color: #2b3150;
  font-weight: 400;
  font-family: 'Roboto', 'Noto Sans TC', Arial, '微軟正黑體', '新細明體', Helvetica, sans-serif;
}

section {
  padding: 3rem 1.5rem 3rem;
}

@media (max-width:767px) {
  section {
    padding: 2rem 1rem 2rem;
  }
}

::selection {
  background-color: #bbf1ff;
}

a {
  color: rgb(0, 129, 250);
  transition: all .2s ease;
}

a:hover {
  text-decoration: none;
  color: #0649db;
}

h1 {
  font-size: 40px;
}

h3 {
  font-size: 32px;
}

h5 {
  font-size: 24px;
}

p {
  font-size: 18px;
  line-height: 2.3rem;
}

.main-title {
  font-size: 2.4rem;
  font-weight: 500;
  padding-bottom: 1rem;
  color: var(--main-color);
  text-align: center;
  position: relative;
}

@media (max-width:767px) {
  .main-title {
    padding-bottom: 0.3rem;
  }
}

.main-title::before {
  display: inline-block;
  content: url(../img/main-title1.svg);
  width: 100px;
  margin: 0 3rem;
}

.main-title::after {
  display: inline-block;
  content: url(../img/main-title2.svg);
  width: 100px;
  margin: 0 3rem;
}

.btn-more {
  text-align: center;
  color: #fff;
  position: relative;
  display: inline-block;
  left: 50%;
  margin-top: 40px;
  transform: translate(-50%, 0);
}

.btn-more a {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
}

.btn-more p {
  padding: 15px 40px;
  border-radius: 20px 20px 20px 0;
  font-size: 24px;
  background-image: url(../img/agenda-bc.png), linear-gradient(90deg, #88d9ff 30%, #9fa8ff 70%);
  outline: 1px solid #9fccff;
  box-shadow: inset 0 0 2px #fff, 0 6px 13px #6fd9ff80;
  transition: all .3s ease-in-out;
}

.btn-more .deadline{
  background-image: url(../img/agenda-bc.png), linear-gradient(90deg, #ff78a1 30%, var(--color4) 70%);
  outline: 1px solid #ff578a;
}


.btn-more i {
  transition: all .3s ease-in-out;
}

.btn-more:hover i {
  transform: translate(5px);
}

.btn-more:hover p {
  transform: scale(1.02);
}


@media (max-width:1200px) {
  .main-title::before {
    content: url(../img/main-title1-2.svg);
    width: 80px;
    margin: 0 1rem;
  }

  .main-title::after {
    content: url(../img/main-title2-2.svg);
    width: 80px;
    margin: 0 1rem;
  }
}

@media (max-width:767px) {
  .main-title::before {
    width: 50px;
  }

  .main-title::after {
    width: 50px;
  }
}

@media (max-width:550px) {
  .second-title {
    padding: 0;
  }

  .second-title::before {
    content: none;
    margin: 0 auto;
  }

  .second-title::after {
    display: block;
    margin: 0 auto;

  }
}


/*====================================
# sec-top
==================================== */
.sec-top {
  position: relative;
  overflow: hidden;
  background: url(../img/top.jpg) no-repeat 100% fixed;
}
/* .sec-top {
  background-color: #fafafa;
  background: linear-gradient(180deg, #fafafa 50%, #fff 90%);
} */

.sec-top::before,
.sec-top::after {
  position: absolute;
  z-index: -1;
}


.sec-top h1,
.sec-top h3 {
  font-weight: 600;
  text-align: center;
  margin: 0 0 20px;
  color: var(--main-color);
}

.sec-top h3 {
  margin-bottom: 60px;
}

.sec-top span {
  background-size: 100% 80%;
  background-repeat: no-repeat;
  background-image: linear-gradient(to top, var(--lightY) 50%, rgba(0, 0, 0, 0) 50.1%);
  background-position: left 0 bottom 0;
}

/* .sec-top .box {
  position: relative;
}

.sec-top .box-inner::before {
  content: '';
  position: absolute;
  inset: 0 30px;
  border-radius: 40px;
  background-color: #6ed5fa;
  background: linear-gradient(35deg, #6ed5fa 30%, #8fe7f7 70%);
} */

.sec-top p {
  padding: 10px 40px;
  font-size: 22px;
  line-height: 2;
  letter-spacing: 1px;
}

@media (max-width:768px) {
  .sec-top h1 {
    font-size: 33px;
  }

  .sec-top h1 span {
    padding: 3px 10px;
  }

  .sec-top h3 {
    font-size: 24px;
    margin-bottom: 30px;
  }
}

@media (max-width:540px) {
  .sec-top h1 span {
    background-color: unset;
  }
}



/*====================================
# sec-info
==================================== */
.sec-info {
  border-radius: 70px 70px 0 0;
  background-image: url(../img/bg-1.png), linear-gradient(180deg, #d8f5ff 60%, #fff 95%);
  /* background-repeat: no-repeat;
  background-position: 100%; */
}

.sec-info span {
  padding: 2px 6px;
  background-color: var(--main-color);
  border-radius: 10px 10px 10px 0;
  color: #fff;
  margin-right: 10px;
  font-size: 20px;
}

.box-area {
  padding: 20px 24px;
  background-color: #ffffff90;
  border-radius: 30px;
  box-shadow: inset -3px -4px 0 #f1f1f180;
  margin-left: 10px;
}

.sec-info .content-box {
  padding: 20px 20px 5px;
  border-radius: 20px;
  background-color: #ddf5ff;
  box-shadow: -3px -4px 1px #f7f7f7;
}

.sec-info .content-box span {
  background-color: var(--color4);
  border-radius: 10px 10px 10px 0;
}

.sec-info .content-box a {
  color: #2b3150;
  text-decoration: underline;
}


/*====================================
# sec-light
==================================== */
/* .sec-light{
  background: url(../img/bg-1.png), linear-gradient(180deg, #fff 30%, #f6faf9 70%);
  border-radius: 0 0 70px 70px;
} */
.sec-light ol {
  counter-reset: myOrderedListItemsCounter;
}

.sec-light ol li {
  padding: 5px 10px;
  margin: 20px;
  position: relative;
  list-style-type: none;
  background: linear-gradient(80deg, #d8f5ff 40%, #cefffd 70%);
  border-radius: 10px 10px 10px 0;
  box-shadow: 0 5px 3px #fff;
}

.sec-light .light-box::before {
  font-weight: 600;
  font-size: 22px;
  text-shadow: -1px -1px 0 #2b3150,
    1px -1px 0 #2b3150,
    -1px 1px 0 #2b3150,
    1px 1px 0 #2b3150;
  color: #d8f5ff;
}

.sec-light ol li::before {
  counter-increment: myOrderedListItemsCounter;
  content: counter(myOrderedListItemsCounter)".";
  margin-right: .5em;
}

.sec-light .img-box {
  border-radius: 30px;
}

/*====================================
# sec-speaker
==================================== */
.sec-speaker {
  background: linear-gradient(180deg, #e0f3ff 30%, #f6faf9 97%, #fff 99%);
  border-radius: 70px;
}

.sec-speaker h4 {
  color: var(--main-color);
  padding-top: 10px;
  margin-top: 20px;
  border-top: 2px solid #ffffff;
}

.speaker-item {
  width: 95%;
  margin: 1.2rem auto;
  padding: 20px;
  max-width: 260px;
  background-color: #fff;
  border: 5px solid #8de1ff;
  border-radius: 30px;
  transition: all .3s ease-in-out;
}

.speaker-item:hover {
  transform: scale(1.02);
}

.speaker-item .imgbox {
  position: relative;
}

.speaker-item .imgbox img {
  border: 1px solid #8de1ff;
  box-shadow: 0 3px 0 #e9f0ed;
}

.imgbox img {
  width: 100%;
}

.keynote .imgbox::after {
  content: 'KEYNOTE';
  position: absolute;
  left: -28px;
  top: -6px;
  background-color: #fff;
  border: 2px solid #8de1ff;
  border-radius: 0 30px 30px 0;
  font-size: 14px;
  font-weight: 500;
  padding: 7px 10px;
  line-height: 1;
}

.speaker-txtbox h5 {
  font-size: 18px;
  padding: 10px 0 10px 0;
  color: #292a31;
  text-align: center;
  border-bottom: 2px solid #8de1ff;
}

.speaker-txtbox p {
  font-size: 15px;
  text-align: center;
  color: #292a31;
  padding: 0 10px;
}

.speaker-item a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}
@media (max-width:768px) {
  .sec-speaker {
    background-color: transparent;
  }
  .sec-speaker{
    border-radius: 70px 70px 0 0;
  }
}

/*====================================
# sec-date
==================================== */

.sec-date .box {
  position: relative;
}

.sec-date .box-inner::before {
  content: '';
  position: absolute;
  inset: 0 100px;
  border-radius: 70px;
  background-color: #6ed5fa;
  background: url(../img/bg-2.jpg) no-repeat 100% fixed;
  background-size: cover;
  overflow: hidden;
  background-color: #bcf8d8;
}

.date-box {
  background-color: #ffffff99;
  box-shadow: inset 0 0 5px #ffffff, 0 0 10px #00000022;
  backdrop-filter: blur(15px);
  margin: 40px;
  padding: 40px;
  text-align: center;
  border-radius: 40px;
  transition: all .3s ease-in-out;
}

.date-box h2 {
  font-size: 40px;
  font-weight: 600;
  color: var(--main-color);
}

.date-box:hover {
  transform: scale(1.02);
}

@media (max-width:768px) {
  .sec-date .box-inner::before {
    content: none;
  }
  .sec-date{
    background: url(../img/bg-2.jpg) no-repeat 100% fixed;
    background-size: cover;
  }
}

/*====================================
# sec-gift
==================================== */
.sec-gift {
  border-radius: 70px;
  background-image:linear-gradient(180deg, #ffeff6 30%, #e1f0ff 80%);
  background-color: #00a13f;
}

.gift-box {
  background-color: #fff;
  margin-bottom: 1rem;
  padding: 2rem 2rem 1rem;
  min-height: 431px;
  border-radius: 30px;
  box-shadow: 0 4px 12px #777cb322;
}

.gift-img {
  position: relative;
  overflow: hidden;
  display: block;
  margin: 0 auto;
}


.gift-img img {
  width: 100%;
}

.gift-box h5 {
  display: inline-block;
  margin-top: 1.5rem;
  color: #fff;
  background-color: var(--main-color);
  border-radius: 10px 10px 10px 0;
  padding: 5px 15px;
  font-size: 26px;
}

.sec-gift span {
  background-size: 100% 80%;
  background-repeat: no-repeat;
  background-image: linear-gradient(to top, var(--lightY) 50%, rgba(0, 0, 0, 0) 50.1%);
  background-position: left 0 bottom 0;
}
@media (max-width:768px) {
  .sec-gift{
    border-radius: 0 0 70px 70px;
  }
}

/*====================================
# sec-partners
==================================== */
/* .sec-partner {
  background-color: #eee;
} */

.partner-area {
  padding: 10px 0;
}

.level-title {
  text-align: center;
  font-weight: 600;
  font-size: 24px;
  letter-spacing: 0.3rem;
  padding: 50px 0 10px;
}

.pt-img img {
  border-radius: 500px;
  padding: 0 24px;
  transition: .3s ease;
}

.pt-img:hover img {
  transform: scale(1.02);
}

.logo-img {
  position: relative;
  display: block;
  transition: all 0.3s;
}

.logo-img a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}


/*====================================
# sec-notice
==================================== */
.sec-notice {
  background-color: #fffde6;
}


/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
#gotopBtn {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Fixed/sticky position */
  bottom: 20px;
  /* Place the button at the bottom of the page */
  right: 30px;
  /* Place the button 30px from the right */
  z-index: 99;
  /* Make sure it does not overlap */
  border: none;
  /* Remove borders */
  outline: none;
  /* Remove outline */
  background-color: var(--main-color);
  color: #FFFF00;
  cursor: pointer;
  /* Add a mouse pointer on hover */
  padding: 12px 20px;
  border-radius: 500px;
  font-size: 18px;
  border: 2px solid #FFFF00;
  transition-duration: .3s;
}

#gotopBtn:hover {
  background-color: var(--main-color2);
}